Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource.init
Class DatabasePopulatorUtils

    java.lang.Object
      org.springframework.jdbc.datasource.init.DatabasePopulatorUtils

    public abstract class DatabasePopulatorUtils

extends Object

Utility methods for executing a DatabasePopulator.

Since:
  3.1
Author:
  Juergen Hoeller, Oliver Gierke

Constructor Summary
`DatabasePopulatorUtils()`

Method Summary
`static void` | `execute(DatabasePopulator populator, DataSource dataSource)` Execute the given DatabasePopulator against the given DataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabasePopulatorUtils

    public DatabasePopulatorUtils()

Method Detail

### execute

    public static void execute(DatabasePopulator populator,
                               DataSource dataSource)

  Execute the given DatabasePopulator against the given DataSource.

  Parameters:
    `populator` - the DatabasePopulator to execute
    `dataSource` - the DataSource to execute against

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD